## cascading.management.annotation
Enum Order

    java.lang.Object
      java.lang.Enum<Order>
          cascading.management.annotation.Order

All Implemented Interfaces:
  Serializable, Comparable<Order>

    public enum Order

extends Enum<Order>

Order describes the order in which Property annotations shall be displayed.

Enum Constant Summary
`ALPHABETICAL` Sort in alphabetical order.
`DECLARED` Sort as given in the class definition.
`GIVEN` Sort as given in the @PropertyOrder annotation on the class.

Method Summary
`static Order` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Order[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALPHABETICAL

    public static final Order ALPHABETICAL

  Sort in alphabetical order.

### DECLARED

    public static final Order DECLARED

  Sort as given in the class definition. Note that this might be JVM specific.

### GIVEN

    public static final Order GIVEN

  Sort as given in the @PropertyOrder annotation on the class.

Method Detail

### values

    public static Order[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Order c : Order.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Order valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.